import { TeamAppsUiContext } from "../../TeamAppsUiContext";
import { AbstractUiDateTimeField } from "./AbstractUiDateTimeField";
import { UiLocalDateTimeFieldConfig, UiLocalDateTimeFieldCommandHandler, UiLocalDateTimeFieldEventSource } from "../../../generated/UiLocalDateTimeFieldConfig";
declare type LocalDateTime = [number, number, number, number, number, number, number];
export declare class UiLocalDateTimeField extends AbstractUiDateTimeField<UiLocalDateTimeFieldConfig, LocalDateTime> implements UiLocalDateTimeFieldEventSource, UiLocalDateTimeFieldCommandHandler {
    protected initialize(config: UiLocalDateTimeFieldConfig, context: TeamAppsUiContext): void;
    isValidData(v: LocalDateTime): boolean;
    protected displayCommittedValue(): void;
    getTransientValue(): LocalDateTime;
    getReadOnlyHtml(value: LocalDateTime, availableWidth: number): string;
    getDefaultValue(): LocalDateTime;
    valuesChanged(v1: LocalDateTime, v2: LocalDateTime): boolean;
}
export {};
